Subject: Re: Pine misidentifies Excel files (fwd)

From: Steven Timm <[email-masked]>
Date: Thu, 27 Jul 2000 15:59:09 -0500 (CDT)

[email-masked] wrote:

>I saw in the archive that a lot of people had the same problem as the
one
>I reported yesterday.
>
>At last, I found the answer:
>
>The formats of the mime.types file used by Pine and Netscape are
incompatible.
>
>Netscape uses something like:
>
>  #mime types added by Netscape Helper
> type=application/pdf  \
> desc="Portable Document Format"  \
v> exts="pdf"
>
> I then tried:
>
>   type=application/excel  \
>    desc="MS Excel"  \
>    exts="xls,XLS,xlb"
>
>That doesn't work (any .xls file is attached as APPLICATION/MSWORD)
>By the way, the same file copied to .doc is attached as
APPLICATION/msword
> (note the case). Which gives some information on the way pine handles
file
>types.
>      If pine knows the file type, it relies only on it
>      If not, it looks at the first bytes of the file
>
> I then tried with:
>
>    application/excel              xls
>
> and that works perfectly.

I tried this fix but it solves only half of the problem.  Pine does, as
Pierre says, attach
the file correctly as application/excel in the outbound message.  But
when that same file
is received back by pine, it still shows up as application/MSWORD.

Any reason why this might be?  (other than the obvious that pine can't
see whether the
file has an xls extension or not while on its way inbound?)

Steve Timm

------------------------------------------------------------------
Steven C. Timm (630) 840-8525  [email-masked]  http://home.fnal.gov/~timm/
Fermilab Computing Division/Operating Systems Support
Central Systems Support Group--Computing Farms Operations